(package
  (maintainers "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (authors "Marc Nieper-Wißkirchen <marc@nieper-wisskirchen.de>")
  (version "0.1.0")
  (license gpl3)
  (library
    (name
      (rapid analyze-library))
    (path "rapid/analyze-library.sld")
    (depends
      (scheme base)
      (rapid assume)
      (rapid and-let)
      (rapid receive)
      (rapid comparator)
      (rapid set)
      (rapid mapping)
      (rapid syntax)
      (rapid read)
      (rapid list)))
  (library
    (name
      (rapid analyze-library-test))
    (path "rapid/analyze-library-test.sld")
    (depends
      (scheme base)
      (scheme file)
      (scheme write)
      (rapid receive)
      (rapid vicinity)
      (rapid test)
      (rapid comparator)
      (rapid set)
      (rapid mapping)
      (rapid syntax)
      (rapid analyze-library))
    (use-for test))
  (manual "rapid/analyze-library.html")
  (description "Analyze R7RS library definitions.")
  (test "run-tests.scm"))
